# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Time-y2038
Version:	20100403
Release:	36.%{__distinit}%{__distvers}
Summary:	Versions of Perl's time functions which work beyond 2038
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Time-y2038
Source0:	https://cpan.metacpan.org/modules/by-module/Time/Time-y2038-%{version}.tar.gz
# Module Build
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	perl-devel
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(Config)
BuildRequires:	perl(ExtUtils::CBuilder) >= 0.24
BuildRequires:	perl(JSON) >= 2.17
BuildRequires:	perl(lib)
BuildRequires:	perl(Module::Build) >= 0.36
# Module Runtime
BuildRequires:	perl(base)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
BuildRequires:	perl(XSLoader)
# Test Suite
BuildRequires:	perl(Test::Exception) >= 0.27
BuildRequires:	perl(Test::More) >= 0.82
BuildRequires:	perl(Test::Warn) >= 0.11
# Dependencies
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
On many computers, Perl's time functions will not work past the year 2038.
This is a design fault in the underlying C libraries Perl uses. Time::y2038
provides replacements for those functions, which will work accurately
+/1 142 million years.

%prep
%setup -q -n Time-y2038-%{version}

%build
perl Build.PL --installdirs=vendor --optimize="%{optflags}"
./Build

%install
./Build install --destdir=%{buildroot} --create_packlist=0
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
./Build test

%files
%doc Changes
%{perl_vendorarch}/auto/Time/
%{perl_vendorarch}/Time/
%{_mandir}/man3/Time::y2038.3*
%{_mandir}/man3/Time::y2038::Everywhere.3*

%changelog
* Fri Jun 14 2024 Paul Howarth <paul@city-fan.org> - 20100403-36
- Perl 5.40 rebuild

* Fri Jul 14 2023 Paul Howarth <paul@city-fan.org> - 20100403-32
- Perl 5.38 rebuild

* Thu Jun  1 2023 Paul Howarth <paul@city-fan.org> - 20100403-31
- Use SPDX-format license tag

* Wed Jun  1 2022 Paul Howarth <paul@city-fan.org> - 20100403-29
- Perl 5.36 rebuild

* Mon May 24 2021 Paul Howarth <paul@city-fan.org> - 20100403-26
- Perl 5.34 rebuild

* Mon Jun 29 2020 Paul Howarth <paul@city-fan.org> - 20100403-23
- Perl 5.32 rebuild

* Thu Jun  6 2019 Paul Howarth <paul@city-fan.org> - 20100403-20
- Perl 5.30 rebuild

* Thu Jun 28 2018 Paul Howarth <paul@city-fan.org> - 20100403-17
- Perl 5.28 rebuild

* Wed Feb 21 2018 Paul Howarth <paul@city-fan.org> - 20100403-16
- Don't need explicit BR: gcc as we have ExtUtils::CBuilder

* Sat Aug  5 2017 Paul Howarth <paul@city-fan.org> - 20100403-14
- BR: perl-generators unconditionally
- BR: perl-interpreter rather than perl

* Wed Jun 14 2017 Paul Howarth <paul@city-fan.org> - 20100403-12
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section
  - BR: perl-devel unconditionally

* Wed May 18 2016 Paul Howarth <paul@city-fan.org> - 20100403-10
- Classify buildreqs by usage
- Simplify find command using -empty and -delete

* Wed Sep 10 2014 Paul Howarth <paul@city-fan.org> - 20100403-6
- Drop %%defattr, redundant since rpm 4.4

* Fri Aug 16 2013 Paul Howarth <paul@city-fan.org> - 20100403-1
- Initial RPM version
